﻿using Correo.Domain.Models;
using Correo.SmtpClient;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;

namespace Correo.Application
{
    public static class DependencyInjectionExtensions
    {
        public static void AddApplicationServices(this IServiceCollection services, IConfiguration configuration)
        {
            services.Configure<DefaultSender>(configuration.GetSection("DefaultSender"));
            services.AddSmtpClientServices(configuration.GetSection("SmtpClient"));
        }
    }
}
